For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
      • GETGet Template
      • GETList Templates
      • POSTCreate Template
      • POSTCreate Embedded Template Draft
      • POSTDelete Template
      • GETGet Template Files
      • GETGet Template Files as Data Uri
      • GETGet Template Files as File Url
      • POSTUpdate Template Files
      • POSTAdd User to Template
      • POSTRemove User from Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceTemplate

Get Template

||View as Markdown|
GET
https://api.hellosign.com/v3/template/:template_id
GET
/v3/template/:template_id
$curl -X GET 'https://api.hellosign.com/v3/template/{template_id}' \
> -u 'YOUR_API_KEY:'
1{
2 "template": {
3 "template_id": "f57db65d3f933b5316d398057a36176831451a35",
4 "title": "Mutual NDA",
5 "message": "Please sign this NDA as soon as possible.",
6 "updated_at": 1570471067,
7 "is_embedded": false,
8 "is_creator": true,
9 "can_edit": true,
10 "is_locked": false,
11 "metadata": {},
12 "signer_roles": [
13 {
14 "name": "Outside Vendor",
15 "order": 0
16 },
17 {
18 "name": "Internal Manager",
19 "order": 1
20 }
21 ],
22 "cc_roles": [
23 {
24 "name": "Corporate Attorney"
25 }
26 ],
27 "documents": [
28 {
29 "name": "mutual_nda.pdf",
30 "index": 0,
31 "field_groups": [
32 {
33 "name": "group1",
34 "rule": {}
35 }
36 ],
37 "form_fields": [
38 {
39 "type": "checkbox",
40 "api_id": "b65e03_10",
41 "group": "group1",
42 "height": 15,
43 "name": "DepartmentA",
44 "required": false,
45 "signer": "1",
46 "width": 15,
47 "x": 117,
48 "y": 19
49 },
50 {
51 "type": "checkbox",
52 "api_id": "b65e03_11",
53 "group": "group1",
54 "height": 15,
55 "name": "DepartmentB",
56 "required": false,
57 "signer": "2",
58 "width": 15,
59 "x": 118,
60 "y": 41
61 },
62 {
63 "type": "text",
64 "api_id": "0ec7a7_1",
65 "avg_text_length": {
66 "num_lines": 1,
67 "num_chars_per_line": 19
68 },
69 "fontFamily": "arial",
70 "group": null,
71 "height": 30,
72 "isMultiline": false,
73 "name": "VendorName",
74 "originalFontSize": 12,
75 "required": true,
76 "signer": "1",
77 "width": 80,
78 "x": 160,
79 "y": 141
80 },
81 {
82 "type": "text",
83 "api_id": "0ec7a7_2",
84 "avg_text_length": {
85 "num_lines": 1,
86 "num_chars_per_line": 19
87 },
88 "fontFamily": "arial",
89 "group": null,
90 "height": 30,
91 "isMultiline": false,
92 "name": "VendorTitle",
93 "originalFontSize": 12,
94 "required": true,
95 "signer": "2",
96 "width": 80,
97 "x": 160,
98 "y": 181
99 },
100 {
101 "type": "text",
102 "api_id": "0ec7a7_3",
103 "avg_text_length": {
104 "num_lines": 1,
105 "num_chars_per_line": 19
106 },
107 "fontFamily": "arial",
108 "group": null,
109 "height": 30,
110 "isMultiline": false,
111 "name": "ManagerName",
112 "originalFontSize": 12,
113 "required": true,
114 "signer": "2",
115 "width": 80,
116 "x": 160,
117 "y": 221
118 },
119 {
120 "type": "text",
121 "api_id": "0ec7a7_4",
122 "avg_text_length": {
123 "num_lines": 1,
124 "num_chars_per_line": 19
125 },
126 "fontFamily": "arial",
127 "group": null,
128 "height": 30,
129 "isMultiline": false,
130 "name": "ManagerTitle",
131 "originalFontSize": 12,
132 "required": true,
133 "signer": "2",
134 "width": 80,
135 "x": 160,
136 "y": 251
137 },
138 {
139 "type": "date_signed",
140 "api_id": "0ec7a7_5",
141 "group": null,
142 "height": 16,
143 "name": "DateSigned",
144 "required": true,
145 "signer": "1",
146 "width": 105,
147 "x": 523,
148 "y": 28
149 }
150 ],
151 "custom_fields": [
152 {
153 "type": "text",
154 "api_id": "78083014-32d8-4b5b-b65e-fe6010f3be64",
155 "avg_text_length": {
156 "num_lines": 1,
157 "num_chars_per_line": 22
158 },
159 "fontFamily": "arial",
160 "group": null,
161 "height": 14,
162 "isMultiline": false,
163 "name": "Effective Date",
164 "originalFontSize": 12,
165 "required": false,
166 "signer": null,
167 "width": 84,
168 "x": 378,
169 "y": 36
170 }
171 ]
172 }
173 ],
174 "accounts": [
175 {
176 "account_id": "5008b25c7f67153e57d5a357b1687968068fb465",
177 "email_address": "me@dropboxsign.com",
178 "is_locked": false,
179 "is_paid_hs": true,
180 "is_paid_hf": false,
181 "quotas": {
182 "api_signature_requests_left": 0,
183 "documents_left": 3600000,
184 "sms_verifications_left": 300000
185 }
186 }
187 ]
188 }
189}

Returns the Template specified by the template_id parameter.

Was this page helpful?
Previous

Template

Next

List Templates

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired
The id of the Template to retrieve.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
templateobject
Contains information about the templates you and your team have created.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error